Relate issues
POST
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
code*stringapplication/json- body
relation*stringblocks: the path issue blocks issue. blocked_by: issue blocks the path issue. Two issues hold one relation, so a new one replaces the old.
One of
"blocked_by""blocks""related"issue*stringThe other issue's code.
Length
1 <= lengthIssueDetail
application/json- response
id*stringcode*stringnumber*integerprojectId*stringtitle*stringstate*priority*|UnsupportedMember_2dueAt*string|nullparentId*string|nullvisibility*|UnsupportedMember_3assignees*array<>labels*array<>subIssueCount*integerclosedSubIssueCount*integeropenBlockerCount*integerOpen issues the key can read that block this one.
createdAt*stringupdatedAt*stringclosedAt*string|nulldescription*stringMarkdown. An embedded file appears as capy-file:<fileId>, one of files.
creator*|nullparent*|nullsubIssues*array<>pullRequests*array<>threads*array<>files*array<>curl -X POST 'https://api.capy.ai/api/v1/issues/string/relations' \ -H 'Content-Type: application/json' \ -d '{ "relation": "blocked_by", "issue": "string"}'{ "id": "string", "code": "string", "number": 0, "projectId": "string", "title": "string", "state": { "id": "string", "name": "string", "type": "open" }, "priority": "urgent", "dueAt": "string", "parentId": "string", "visibility": "org", "assignees": [ { "kind": "user", "id": "string", "code": "string" } ], "labels": [ { "id": "string", "name": "string" } ], "subIssueCount": 0, "closedSubIssueCount": 0, "openBlockerCount": 0, "createdAt": "string", "updatedAt": "string", "closedAt": "string", "description": "string", "creator": { "kind": "user", "id": "string", "code": "string" }, "parent": { "id": "string", "code": "string", "number": 0, "projectId": "string", "title": "string", "state": { "id": "string", "name": "string", "type": "open" }, "priority": "urgent", "dueAt": "string", "parentId": "string", "visibility": "org", "assignees": [ { "kind": "user", "id": "string", "code": "string" } ], "labels": [ { "id": "string", "name": "string" } ], "subIssueCount": 0, "closedSubIssueCount": 0, "openBlockerCount": 0, "createdAt": "string", "updatedAt": "string", "closedAt": "string" }, "subIssues": [ { "id": "string", "code": "string", "number": 0, "projectId": "string", "title": "string", "state": { "id": "string", "name": "string", "type": "open" }, "priority": "urgent", "dueAt": "string", "parentId": "string", "visibility": "org", "assignees": [ { "kind": "user", "id": "string", "code": "string" } ], "labels": [ { "id": "string", "name": "string" } ], "subIssueCount": 0, "closedSubIssueCount": 0, "openBlockerCount": 0, "createdAt": "string", "updatedAt": "string", "closedAt": "string" } ], "pullRequests": [ { "repoFullName": "string", "number": 0, "state": "open" } ], "threads": [ { "id": "string", "code": "string" } ], "files": [ { "id": "string", "name": "string", "mediaType": "string", "sizeBytes": 0, "commentId": "string" } ]}